### Method

# ECal ComponentBag dup_span

since: 3.58

#### Declaration [src]

    GPtrArray*
    e_cal_component_bag_dup_span (
      ECalComponentBag* self,
      guint index
    )

#### Description [src]

Similar to the e_cal_component_bag_get_span(), except the returned array is a copy of the span, thus it is thread safe.

Available since: 3.58

#### Parameters

`index`

  Type: `guint`

  Span index, counting from 0.

#### Return value

Type: An array of `ECalComponentBagItem*`

a copy of a span at `index`, or `NULL`, when `index` is out of bounds.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.